opennlp.tools.namefind

## Class BilouCodec

- java.lang.Object
- - opennlp.tools.namefind.BilouCodec

- All Implemented Interfaces:
    SequenceCodec<String>

      public class BilouCodec
      extends Object
      implements SequenceCodec<String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTINUE`
    `static String` | `LAST`
    `static String` | `OTHER`
    `static String` | `START`
    `static String` | `UNIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BilouCodec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areOutcomesCompatible(String[] outcomes)` B requires CL or L C requires BL L requires B O requires any valid combo/unit U requires none
    `SequenceValidator<String>` | `createSequenceValidator()` Creates a sequence validator which can validate a sequence of outcomes.
    `Span[]` | `decode(List<String> c)` Decodes a sequence T objects into Span objects.
    `String[]` | `encode(Span[] names, int length)` Encodes Span objects into a sequence of T objects.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START

          public static final String START

      See Also:
        Constant Field Values

    - #### CONTINUE

          public static final String CONTINUE

      See Also:
        Constant Field Values

    - #### LAST

          public static final String LAST

      See Also:
        Constant Field Values

    - #### UNIT

          public static final String UNIT

      See Also:
        Constant Field Values

    - #### OTHER

          public static final String OTHER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BilouCodec

          public BilouCodec()

  - ### Method Detail

    - #### decode

          public Span[] decode(List<String> c)

      Description copied from interface: `SequenceCodec`
      Decodes a sequence T objects into Span objects.
      Specified by:
        `decode` in interface `SequenceCodec<String>`
      Returns:

    - #### encode

          public String[] encode(Span[] names,
                                 int length)

      Description copied from interface: `SequenceCodec`
      Encodes Span objects into a sequence of T objects.
      Specified by:
        `encode` in interface `SequenceCodec<String>`
      Returns:

    - #### createSequenceValidator

          public SequenceValidator<String> createSequenceValidator()

      Description copied from interface: `SequenceCodec`
      Creates a sequence validator which can validate a sequence of outcomes.
      Specified by:
        `createSequenceValidator` in interface `SequenceCodec<String>`
      Returns:

    - #### areOutcomesCompatible

          public boolean areOutcomesCompatible(String[] outcomes)

      B requires CL or L C requires BL L requires B O requires any valid combo/unit U requires none
      Specified by:
        `areOutcomesCompatible` in interface `SequenceCodec<String>`
      Parameters:
        `outcomes` - all possible model outcomes
      Returns:
        true, if model outcomes are compatible

Copyright © 2026 The Apache Software Foundation. All rights reserved.